*==================================================================================================
*
*This should be used after having prepared data, see preparing_data.do and after the summary statistics (summary.do)
*This Do-File exploits the data and provides the results
*Used database: mainly database_balanced.dta (except for its creation at the beginning of the file)
*Output : database_balanced.dta
*
*===================================================================================================

			********1*Preliminary Work: creation of a balanced database and a database for each year********

clear
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
use "/home/david/MEGA/Uni/Masterarbeit/Data/database.dta"
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database.dta", clear
xtset

*creating a balanced database because same matrix for each years 
*This was already done in the preparation of the spatial, it is here as reminder
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database.dta", clear
xtset
capture drop nyears
capture drop nlong
capture drop nlat
capture drop nmuni
drop if missing(municipalities)
drop if missing(firmstaxidx)
bys id: gen nyears =[_N]
bys longitude: gen nlong = [_N]
bys latitude: gen nlat = [_N]
bys municipalities: gen nmuni = [_N]
drop if nyears < 5 | nlong < 5 | nlat < 5 // always have 5 years, otherwise merged municipality or missing
drop if leftstrength == .
capture drop spending spendingpc nyears nlong nlat
missings list longitude
capture generate _ID = id
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", replace
save "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", replace
drop if years != 2011 
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_only2011.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
drop if years != 2012
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_only2012.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
drop if years != 2013
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_only2013.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
drop if years != 2014	
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_only2014.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
drop if years != 2015
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_only2015.dta", replace
						********END 1********






			*********Non-Spatial models********
			********2*OLS********
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
cd "/home/david/MEGA/Uni/Masterarbeit/outreg" //folder for all outreg2 tables
label variable firmsrateidx "Tax rate index for firms"
label variable incomerateidx "Tax rate index for income"
label variable unemployment "Cantonal unemployment rate"
label variable shareold "Elderly people"
label variable shareunder20 "Young people"
label variable shareforeigners "Foreigners"
label variable leftstrength "Left parties"
label variable metropolitan "Metropolitan (Dummy)"
label variable agriculture "Agricultural land"
label variable forest "Forest"
label variable settlement "Settlement"
label variable wage "Wages in big area"
label variable logwage "Log wages"
label variable logpopulation "Log population"
*Level sector 2011-2014
set more off
reg ftetotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-level-fte-sector.doc, replace ctitle(Total) label word
reg ftefirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-level-fte-sector.doc, append ctitle(Primary sector) label word
reg ftesecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-level-fte-sector.doc, append ctitle(Secondary sector) label word
reg ftethird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-level-fte-sector.doc, append ctitle(Tertiary sector) label word

set more off
reg firmstotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-level-firms-sector.doc, replace ctitle(Total) label word
reg firmsfirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-level-firms-sector.doc, append ctitle(Primary sector) label word
reg firmssecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-level-firms-sector.doc, append ctitle(Secondary sector) label word
reg firmsthird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-level-firms-sector.doc, append ctitle(Tertiary sector) label word

*Log
set more off
reg logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-log-fte-sector.doc, replace ctitle(Total) label word
reg logftefirst firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-log-fte-sector.doc, append ctitle(Primary sector) label word
reg logftesecond firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-log-fte-sector.doc, append ctitle(Secondary sector) label word
reg logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-log-fte-sector.doc, append ctitle(Tertiary sector) label word

set more off
reg logfirmstotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-log-firms-sector.doc, replace ctitle(Total) label word
reg logfirmsfirst firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-log-firms-sector.doc, append ctitle(Primary sector) label word
reg logfirmssecond firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-log-firms-sector.doc, append ctitle(Secondary sector) label word
reg logfirmsthird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan, robust
outreg2 using OLS-log-firms-sector.doc, append ctitle(Tertiary sector) label word
				********END 2********









			********3*Fixed Effects********
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
cd "/home/david/MEGA/Uni/Masterarbeit/outreg" //folder for all outreg2 tables
*Hausman test
set more off
xtreg firmstotal firmsrateidx incometaxidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, fe
estimates store fe
xtreg firmstotal firmsrateidx incometaxidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, re
estimates store re
hausman fe re, sigmamore

*Level
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
xtreg ftetotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-level-fte-sector.doc, replace ctitle(Total) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg ftefirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-level-fte-sector.doc, append ctitle(Primary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg ftesecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-level-fte-sector.doc, append ctitle(Secondary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg ftethird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-level-fte-sector.doc, append ctitle(Tertiary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word

set more off
xtreg firmstotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-level-firms-sector.doc, replace ctitle(Total) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg firmsfirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-level-firms-sector.doc, append ctitle(Primary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg firmssecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-level-firms-sector.doc, append ctitle(Secondary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg firmsthird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-level-firms-sector.doc, append ctitle(Tertiary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word

*Log
set more off
xtreg logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-log-fte-sector.doc, replace ctitle(Total) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg logftefirst firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-log-fte-sector.doc, append ctitle(Primary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg logftesecond firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-log-fte-sector.doc, append ctitle(Secondary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-log-fte-sector.doc, append ctitle(Tertiary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word

set more off
xtreg logfirmstotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-log-firms-sector.doc, replace ctitle(Total) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg logfirmsfirst firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-log-firms-sector.doc, append ctitle(Primary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg logfirmssecond firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-log-firms-sector.doc, append ctitle(Secondary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
xtreg logfirmsthird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, fe robust
outreg2 using FE-log-firms-sector.doc, append ctitle(Tertiary sector) addtext(Municipal FE, YES, Year FE, YES) drop(i.years) label word
			********END 3********










			********4*Heckman Correction********
*Years 2015 should not be included because it is only missings values (multiple imputation is a better approach, not developped here)
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
save "/home/david/MEGA/Uni/Masterarbeit/Data/database_bal_before_Heckman.dta"
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
 
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off

*******Without panel structure
capture drop heckfte1
heckman logftefirst firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan if years != 2015, select(firmsfirst firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan agriculture forest settlement) vce(robust)
outreg2 using heckfte.doc, e(rho, sigma, lambda, selambda, chi2_c, p_c) replace label word

set more off
heckman logftesecond firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan if years != 2015, select(firmssecond firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan agriculture forest settlement) vce(robust)
outreg2 using heckfte.doc, e(rho, sigma, lambda, selambda, chi2_c, p_c) append label word

*******With panel structure
*First step : prob. of firms in first sector
*Inverse Mills ratio
set more off
capture drop temp* 
capture drop invmills*
capture drop years1*
capture drop del*	

forvalues i = 11(1)14 {
	probit firmsfirst firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan agriculture forest settlement if years==20`i', vce(boot, reps(200))
	predict temp`i' if years==20`i', xb
	gen invmills`i'=normalden(temp`i')/normal(temp`i')
	gen years`i'=(years==20`i')
	gen invmills_x_years`i'=invmills`i'*years`i'
	replace invmills_x_years`i'=0 if years!=20`i'
	drop invmills`i' years`i'
	g del`i'=invmills_x_years`i'*(invmills_x_years`i'+temp`i')
}

*Second stage: unbiased employment equation
capture drop years_*
tab years, gen(years_) // year dummies
capture drop delbar*
reg logftefirst firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan invmills_x_years11 invmills_x_years12 invmills_x_years13 invmills_x_years14, vce(boot, reps(200))
outreg2 using heckfte_panel.doc, ctitle(Log FTE in primary sector) replace label word
forvalues i = 11(1)14 {
	sca bmills`i'=_coef[invmills_x_years`i']
	sca rss`i'=e(rss)
	sca N`i'=e(N)
	qui su del`i'
	g delbar`i'=r(mean)
	sca sigsq`i'=(rss`i'/N`i')+delbar`i'*(bmills`i'^2)
	sca rho`i'=bmills`i'/sqrt(sigsq`i')
	sca li sigsq`i' rho`i'
}


*Second-stage: predict missing values
capture drop logftefirst_miss
capture drop logftefirst_hat
gen logftefirst_miss = _b[_cons]+_b[firmsrateidx]*firmsrateidx+_b[incomerateidx]*incomerateidx+_b[wage]*wage ///
+_b[shareold]*shareold+_b[shareunder20]*shareunder20+_b[population]*population+_b[shareforeigners]*shareforeigners+_b[leftstrength]*leftstrength ///
+_b[metropolitan]*metropolitan if logftefirst==. & years !=2015
egen logftefirst_hat = rsum(logftefirst logftefirst_miss)
drop years_1 years_2 years_3 years_4 years_5 invmills*
save "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", replace

***For the variables in level in primary sector
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
replace ftefirst = . if ftefirst == 0
set more off
capture drop temp* 
capture drop invmills*
capture drop years1*
capture drop del*	

forvalues i = 11(1)14 {
	probit firmsfirst firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan agriculture forest settlement if years==20`i', vce(robust)
	predict temp`i' if years==20`i', xb
	gen invmills`i'=normalden(temp`i')/normal(temp`i')
	gen years`i'=(years==20`i')
	gen invmills_x_years`i'=invmills`i'*years`i'
	replace invmills_x_years`i'=0 if years!=20`i'
	drop invmills`i' years`i'
	g del`i'=invmills_x_years`i'*(invmills_x_years`i'+temp`i')
}

*Second stage: unbiased employment equation
capture drop years_*
tab years, gen(years_) // year dummies
capture drop delbar*
reg ftefirst firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan invmills_x_years11 invmills_x_years12 invmills_x_years13 invmills_x_years14 if years != 2015, vce(boot, reps(200))
forvalues i = 11(1)14 {
	sca bmills`i'=_coef[invmills_x_years`i']
	sca rss`i'=e(rss)
	sca N`i'=e(N)
	qui su del`i'
	g delbar`i'=r(mean)
	sca sigsq`i'=(rss`i'/N`i')+delbar`i'*(bmills`i'^2)
	sca rho`i'=bmills`i'/sqrt(sigsq`i')
	sca li sigsq`i' rho`i'
}

*Second-stage: predict missing values
capture drop ftefirst_miss
capture drop ftefirst_hat
gen ftefirst_miss = _b[_cons]+_b[firmsrateidx]*firmsrateidx+_b[incomerateidx]*incomerateidx+_b[wage]*wage ///
+_b[shareold]*shareold+_b[shareunder20]*shareunder20+_b[population]*population+_b[shareforeigners]*shareforeigners+_b[leftstrength]*leftstrength ///
+_b[metropolitan]*metropolitan if ftefirst==. & years !=2015
egen ftefirst_hat = rsum(ftefirst ftefirst_miss)
drop years_1 years_2 years_3 years_4 years_5 invmills*
drop temp* del*
replace ftefirst_hat = . if years == 2015
replace ftefirst_hat = 0 if ftefirst_hat < 0 // no negative employment
save "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", replace



***Same for second sector
*First step : prob. of firms in second sector
*Inverse Mills ratio
set more off
capture drop temp* 
capture drop invmills*
capture drop years1*
capture drop del*

forvalues i = 11(1)14 {
	probit firmssecond firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan agriculture forest settlement if years==20`i', vce(boot, reps(200))
	predict temp`i' if years==20`i', xb
	gen invmills`i'=normalden(temp`i')/normal(temp`i')
	gen years`i'=(years==20`i')
	gen invmills_x_years`i'=invmills`i'*years`i'
	replace invmills_x_years`i'=0 if years!=20`i'
	drop invmills`i' years`i'
	g del`i'=invmills_x_years`i'*(invmills_x_years`i'+temp`i')
	
}

*Second stage: unbiased employment equation
capture drop years_*
tab years, gen(years_) // year dummies
capture drop delbar*
reg logftesecond firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan invmills_x_years11 invmills_x_years12 invmills_x_years13 invmills_x_years14, vce(boot, reps(200))
outreg2 using heckfte_panel.doc, append ctitle(Log FTE in secondary sector) label word
forvalues i = 11(1)14 {
	sca bmills`i'=_coef[invmills_x_years`i']
	sca rss`i'=e(rss)
	sca N`i'=e(N)
	qui su del`i'
	g delbar`i'=r(mean)
	sca sigsq`i'=(rss`i'/N`i')+delbar`i'*(bmills`i'^2)
	sca rho`i'=bmills`i'/sqrt(sigsq`i')
	sca li sigsq`i' rho`i'
}

*Second-stage: predict missing values
capture drop logftesecond_miss
capture drop logftesecond_hat
gen logftesecond_miss = _b[_cons]+_b[firmsrateidx]*firmsrateidx+_b[incomerateidx]*incomerateidx+_b[wage]*wage ///
+_b[shareold]*shareold+_b[shareunder20]*shareunder20+_b[population]*population+_b[shareforeigners]*shareforeigners+_b[leftstrength]*leftstrength ///
+_b[metropolitan]*metropolitan if logftesecond==. & years !=2015
egen logftesecond_hat = rsum(logftesecond logftesecond_miss)
drop years_1 years_2 years_3 years_4 years_5

save "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", replace




***For the variable in level in secondary sector
replace ftesecond = . if ftesecond == 0
set more off
capture drop temp* 
capture drop invmills*
capture drop years1*
capture drop del*

forvalues i = 11(1)14 {
	probit firmssecond firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan agriculture forest settlement if years==20`i', vce(boot, reps(200))
	predict temp`i' if years==20`i', xb
	gen invmills`i'=normalden(temp`i')/normal(temp`i')
	gen years`i'=(years==20`i')
	gen invmills_x_years`i'=invmills`i'*years`i'
	replace invmills_x_years`i'=0 if years!=20`i'
	drop invmills`i' years`i'
	g del`i'=invmills_x_years`i'*(invmills_x_years`i'+temp`i')
	
}

*Second stage: unbiased employment equation
capture drop years_*
tab years, gen(years_) // year dummies
capture drop delbar*
reg ftesecond firmsrateidx incomerateidx wage shareold shareunder20 population shareforeigners leftstrength metropolitan invmills_x_years11 invmills_x_years12 invmills_x_years13 invmills_x_years14, vce(boot, reps(200))
outreg2 using heckfte_panel.doc, append ctitle(Log FTE in secondary sector) label word
forvalues i = 11(1)14 {
	sca bmills`i'=_coef[invmills_x_years`i']
	sca rss`i'=e(rss)
	sca N`i'=e(N)
	qui su del`i'
	g delbar`i'=r(mean)
	sca sigsq`i'=(rss`i'/N`i')+delbar`i'*(bmills`i'^2)
	sca rho`i'=bmills`i'/sqrt(sigsq`i')
	sca li sigsq`i' rho`i'
}

*Second-stage: predict missing values
capture drop ftesecond_miss
capture drop ftesecond_hat
gen ftesecond_miss = _b[_cons]+_b[firmsrateidx]*firmsrateidx+_b[incomerateidx]*incomerateidx+_b[wage]*wage ///
+_b[shareold]*shareold+_b[shareunder20]*shareunder20+_b[population]*population+_b[shareforeigners]*shareforeigners+_b[leftstrength]*leftstrength ///
+_b[metropolitan]*metropolitan if ftesecond==. & years !=2015
egen ftesecond_hat = rsum(ftesecond ftesecond_miss)
drop years_1 years_2 years_3 years_4 years_5
drop temp* del*
replace ftesecond_hat = . if years == 2015
replace ftesecond_hat = 0 if ftesecond_hat < 0 // no negative employment
save "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", replace
			********END 4********







			********5*Mediation Analysis********
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear

set more off
sem (firmstotal <- firmsrateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan) ///
(firmstotal <- incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan) ///
(ftetotal <- firmstotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan), covstructure(_OEx, uns) vce(robust)
outreg2 using mediation_test.doc, replace label keep(firmstotal firmsrateidx incomerateidx) eqkeep(firmstotal ftetotal) addtext(Control variables, YES)

set more off
sem (firmsfirst <- firmsrateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan) ///
(firmsfirst <- incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan) ///
(ftefirst <- firmsfirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan), covstructure(_OEx, uns) vce(robust)
outreg2 using mediation_test.doc, append label keep(firmsfirst firmsrateidx incomerateidx) eqkeep(firmsfirst ftefirst) addtext(Control variables, YES)

set more off
sem (firmssecond <- firmsrateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan) ///
(firmssecond <- incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan) ///
(ftesecond <- firmssecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan), covstructure(_OEx, uns) vce(robust)
outreg2 using mediation_test.doc, append label keep(firmssecond firmsrateidx incomerateidx) eqkeep(firmssecond ftesecond) addtext(Control variables, YES)

set more off
sem (firmsthird <- firmsrateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan) ///
(firmsthird <- incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan) ///
(ftethird <- firmsthird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan), covstructure(_OEx, uns) vce(robust)
outreg2 using mediation_test.doc, append label keep(firmsthird firmsrateidx incomerateidx) eqkeep(firmsthird ftethird) addtext(Control variables, YES)
			********END 5********








			*********Spatial models********
			********6*Spatial Weights********
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
*Matrix with municipalities sharing a border (Queen Contiguity Matrix)
spmat contiguity wmuni_contiguity if years == 2014 using chcoordinates_2, id(id) normalize(minmax) replace
spmat save wmuni_contiguity using wmuni_contiguity.spmat, replace

*Inverse-distance matrix
*****Location: /Data/Maps/ and /Data/Maps/wgs/ *****			
*****Cendroids are calculated with Qgis from the shp file (http://geostat.admin.ch/) in /Data/Maps/wgs/*****
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
capture drop longitude //delete the old data, because the centroids database is more precise
capture drop latitude
merge m:1 id using "/home/david/MEGA/Uni/Masterarbeit/Data/Maps/centroids.dta"
drop if _merge != 3
drop _merge
save "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
drop if years != 2014 //need to calculate the matrix on a single year otherwise spmat does not work
capture drop spending
capture drop spendingpc
capture drop logspendingpc

cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
spmat idistance wmuni_5 longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/5) normalize(minmax) replace
spmat summarize wmuni_5
*use dhaversine because it is on Earth - 1/5 in a 5km distance - Ok if the result in summarize is not = 5 because of normalization
spmat save wmuni_5 using wmuni_5.spmat, replace
spmat idistance wmuni_10 longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/10) normalize(minmax) replace
spmat summarize wmuni_10
spmat save wmuni_10 using wmuni_10.spmat, replace
spmat idistance wmuni_15 longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/15) normalize(minmax) replace
spmat summarize wmuni_15
spmat save wmuni_15 using wmuni_15.spmat, replace
spmat idistance wmuni_20 longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/20) normalize(minmax) replace
spmat summarize wmuni_20
spmat save wmuni_20 using wmuni_20.spmat, replace
spmat idistance wmuni_30 longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/30) normalize(minmax) replace
spmat summarize wmuni_30
spmat save wmuni_30 using wmuni_30.spmat, replace
spmat idistance wmuni_100 longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/100) normalize(minmax) replace
spmat summarize wmuni_100
spmat save wmuni_100 using wmuni_100.spmat, replace
*Weight without normalization
spmat idistance wmuni_5_nonnorm longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/5) replace
spmat summarize wmuni_5_nonnorm
spmat save wmuni_5_nonnorm using wmuni_5_nonnorm.spmat, replace
spmat idistance wmuni_10_nonnorm longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/10) replace
spmat save wmuni_10_nonnorm using wmuni_10_nonnorm.spmat, replace
spmat idistance wmuni_15_nonnorm longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/15) replace
spmat save wmuni_15_nonnorm using wmuni_15_nonnorm.spmat, replace
spmat idistance wmuni_20_nonnorm longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/20) replace
spmat save wmuni_20_nonnorm using wmuni_20_nonnorm.spmat, replace
spmat idistance wmuni_30_nonnorm longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/30) replace
spmat save wmuni_30_nonnorm using wmuni_30_nonnorm.spmat, replace
			********END 6********







			********7*Moran's I********
*Contiguity
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
spmat use wmuni_contiguity using "wmuni_contiguity.spmat", replace
spmat summarize wmuni_contiguity, links
spmat export wmuni_contiguity using "contiguity.txt", noid replace
insheet using "contiguity.txt", delim(" ") clear
drop in 1
save "contiguity_moran.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
set matsize 11000
drop if years != 2014
set more off
spatwmat using "contiguity_moran.dta", name(Ws) standardize
spatgsa ftetotal firmstotal ftefirst firmsfirst ftesecond firmssecond ftethird firmsthird incomerateidx firmsrateidx, weights(Ws) moran //Moran's I

*5km
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
spmat use wmuni_5 using "wmuni_5.spmat", replace
spmat summarize wmuni_5, links
spmat export wmuni_5 using "5.txt", noid replace
insheet using "5.txt", delim(" ") clear
drop in 1
save "5_moran.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
set matsize 11000
drop if years != 2014
set more off
spatwmat using "5_moran.dta", name(Ws) standardize
spatgsa ftetotal firmstotal ftefirst firmsfirst ftesecond firmssecond ftethird firmsthird incomerateidx firmsrateidx, weights(Ws) moran //Moran's I

*10km
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
spmat use wmuni_10 using "wmuni_10.spmat", replace
spmat summarize wmuni_10, links
spmat export wmuni_10 using "10.txt", noid replace
insheet using "10.txt", delim(" ") clear
drop in 1
save "10_moran.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
set matsize 11000
drop if years != 2014
set more off
spatwmat using "10_moran.dta", name(Ws) standardize
spatgsa ftetotal firmstotal ftefirst firmsfirst ftesecond firmssecond ftethird firmsthird incomerateidx firmsrateidx, weights(Ws) moran //Moran's I

*15km
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
spmat use wmuni_15 using "wmuni_15.spmat", replace
spmat summarize wmuni_15, links
spmat export wmuni_15 using "15.txt", noid replace
insheet using "15.txt", delim(" ") clear
drop in 1
save "15_moran.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
set matsize 11000
drop if years != 2014
set more off
spatwmat using "15_moran.dta", name(Ws) standardize
spatgsa ftetotal firmstotal ftefirst firmsfirst ftesecond firmssecond ftethird firmsthird incomerateidx firmsrateidx, weights(Ws) moran //Moran's I

*20km
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
spmat use wmuni_20 using "wmuni_20.spmat", replace
spmat summarize wmuni_20, links
spmat export wmuni_20 using "20.txt", noid replace
insheet using "20.txt", delim(" ") clear
drop in 1
save "20_moran.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
set matsize 11000
drop if years != 2014
set more off
spatwmat using "20_moran.dta", name(Ws) standardize
spatgsa ftetotal firmstotal ftefirst firmsfirst ftesecond firmssecond ftethird firmsthird incomerateidx firmsrateidx, weights(Ws) moran //Moran's I

*30km
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
spmat use wmuni_30 using "wmuni_30.spmat", replace
spmat summarize wmuni_30, links
spmat export wmuni_30 using "30.txt", noid replace
insheet using "30.txt", delim(" ") clear
drop in 1
save "30_moran.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
set matsize 11000
drop if years != 2014
set more off
spatwmat using "30_moran.dta", name(Ws) standardize
spatgsa ftetotal firmstotal ftefirst firmsfirst ftesecond firmssecond ftethird firmsthird incomerateidx firmsrateidx, weights(Ws) moran //Moran's I

*100km
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
spmat use wmuni_100 using "wmuni_100.spmat", replace
spmat summarize wmuni_100, links
spmat export wmuni_100 using "100.txt", noid replace
insheet using "100.txt", delim(" ") clear
drop in 1
save "100_moran.dta", replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_balanced.dta", clear
set matsize 11000
drop if years != 2014
set more off
spatwmat using "100_moran.dta", name(Ws) standardize
spatgsa ftetotal firmstotal ftefirst firmsfirst ftesecond firmssecond ftethird firmsthird incomerateidx firmsrateidx, weights(Ws) moran //Moran's I

*Other Moran's I stuff - For fun, not used in thesis
*spatlsa firmsfirst, id(id) weights(Ws) moran //local Moran's I -> for each id 
*ssc install splagvar
*splagvar ftetotal, wname(Ws) wfrom(Stata) ind(incomerateidx firmsrateidx) plot(ftetotal) moran(ftetotal) replace //plot and calculate the Moran's I

			********END 7********










			*********Standard spatial models********
			********8*Spatial Durbin Model - Employment********
clear
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
sort id years
xtset
*10km without imputation
spmat use wmuni_dist using "wmuni_10.spmat", replace
drop if years == 2015
generate logfirmstaxidx = ln(firmstaxidx)
generate logincometaxidx = ln(incometaxidx)

***FTE Total
*Test to select between models: SEM, SDM or SAR
set more off // BHHH technique results in convergence with both time and spatial FE
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)

*Test for SAR: H0 = all spatially lag indep. variables = 0 -> SAR is the best model
test [Wx]firmsrateidx = [Wx]incomerateidx = [Wx]logwage = [Wx]unemployment = [Wx]cinema = [Wx]shareold = [Wx]shareunder20 = [Wx]logpopulation = [Wx]shareforeigners = [Wx]leftstrength = [Wx]university = [Wx]language = [Wx]metropolitan = 0
* H0 - Rejected because chi2(9) = 17.2 and Prob > chi2 = 0.0456
local SARtest = r(chi2)
local pSARtest = r(p)

*Test for SEM: H0 = -rho*bêta = têta 
testnl ([Wx]firmsrateidx = -[Spatial]rho*[Main]firmsrateidx) ([Wx]incomerateidx = -[Spatial]rho*[Main]incomerateidx) ([Wx]logwage = -[Spatial]rho*[Main]logwage) ([Wx]unemployment = -[Spatial]rho*[Main]unemployment) ([Wx]cinema = -[Spatial]rho*[Main]cinema) ///
([Wx]shareold = -[Spatial]rho*[Main]shareold) ([Wx]shareunder20 = -[Spatial]rho*[Main]shareunder20) ([Wx]logpopulation = -[Spatial]rho*[Main]logpopulation) ([Wx]shareforeigners = -[Spatial]rho*[Main]shareforeigners) ([Wx]leftstrength = -[Spatial]rho*[Main]leftstrength) ///
([Wx]language = -[Spatial]rho*[Main]language) ([Wx]metropolitan = -[Spatial]rho*[Main]metropolitan)
* H0 - Rejected because chi2(9) = 16.61 and Prob > chi2 = 0.0552
local SEMtest = r(chi2)
local pSEMtest = r(p)

cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_main.doc, replace title(SDM Model) eqdrop(Wx Spatial Variance) addstat(SAR test chi2, `SARtest', Prob > chi2 SAR, `pSARtest', SEM test chi2, `SEMtest', Prob > chi2 SEM, `pSEMtest') addtext(Spatial FE, YES, Year FE, YES) 
outreg2 using SDM_spatial.doc, replace title(SDM Model) eqdrop(Main Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"

*Hausman test: H0 = no difference in coeff
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe
estimates store sdm_fe
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) re
estimates store sdm_re
hausman sdm_fe sdm_re, sigmamore
*H0: Rejected -> FE is the most appropriated method

***FTE First
set more off // BFGS technique results in convergence with both time and spatial FE
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
* Test for SAR: H0 = all spatially lag indep. variables = 0 -> SAR is the best model
test [Wx]firmsrateidx = [Wx]incomerateidx = [Wx]logwage = [Wx]unemployment = [Wx]cinema = [Wx]shareold = [Wx]shareunder20 = [Wx]logpopulation = [Wx]shareforeigners = [Wx]leftstrength = [Wx]university = [Wx]language = [Wx]metropolitan = 0
* H0 - Not Rejected 
local SARtest = r(chi2)
local pSARtest = r(p)

*Test for SEM: H0 = -rho*bêta = têta 
testnl ([Wx]firmsrateidx = -[Spatial]rho*[Main]firmsrateidx) ([Wx]incomerateidx = -[Spatial]rho*[Main]incomerateidx) ([Wx]logwage = -[Spatial]rho*[Main]logwage) ([Wx]unemployment = -[Spatial]rho*[Main]unemployment) ([Wx]cinema = -[Spatial]rho*[Main]cinema) ///
([Wx]shareold = -[Spatial]rho*[Main]shareold) ([Wx]shareunder20 = -[Spatial]rho*[Main]shareunder20) ([Wx]logpopulation = -[Spatial]rho*[Main]logpopulation) ([Wx]shareforeigners = -[Spatial]rho*[Main]shareforeigners) ([Wx]leftstrength = -[Spatial]rho*[Main]leftstrength) ///
([Wx]language = -[Spatial]rho*[Main]language) ([Wx]metropolitan = -[Spatial]rho*[Main]metropolitan)
* H0 - Not Rejected 
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_main.doc, append ctitle(Primary Sector) eqdrop(Wx Spatial Variance) addstat(SAR test chi2, `SARtest', Prob > chi2 SAR, `pSARtest', SEM test chi2, r(chi2), Prob > chi2 SEM, r(p)) addtext(Spatial FE, YES, Year FE, YES) 
outreg2 using SDM_spatial.doc, append ctitle(Primary Sector) eqdrop(Main Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"

***FTE Second
set more off // BFGS technique results in convergence with both time and spatial FE
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
* Test for SAR: H0 = all spatially lag indep. variables = 0 -> SAR is the best model
test [Wx]firmsrateidx = [Wx]incomerateidx = [Wx]logwage = [Wx]unemployment = [Wx]cinema = [Wx]shareold = [Wx]shareunder20 = [Wx]logpopulation = [Wx]shareforeigners = [Wx]leftstrength = [Wx]university = [Wx]language = [Wx]metropolitan = 0
* H0 - Not rejected
local SARtest = r(chi2)
local pSARtest = r(p)

*Test for SEM: H0 = -rho*bêta = têta 
testnl ([Wx]firmsrateidx = -[Spatial]rho*[Main]firmsrateidx) ([Wx]incomerateidx = -[Spatial]rho*[Main]incomerateidx) ([Wx]logwage = -[Spatial]rho*[Main]logwage) ([Wx]unemployment = -[Spatial]rho*[Main]unemployment) ([Wx]cinema = -[Spatial]rho*[Main]cinema) ///
([Wx]shareold = -[Spatial]rho*[Main]shareold) ([Wx]shareunder20 = -[Spatial]rho*[Main]shareunder20) ([Wx]logpopulation = -[Spatial]rho*[Main]logpopulation) ([Wx]shareforeigners = -[Spatial]rho*[Main]shareforeigners) ([Wx]leftstrength = -[Spatial]rho*[Main]leftstrength) ///
([Wx]language = -[Spatial]rho*[Main]language) ([Wx]metropolitan = -[Spatial]rho*[Main]metropolitan)
* H0 - Not Rejected 
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_main.doc, append ctitle(Secondary Sector) eqdrop(Wx Spatial Variance) addstat(SAR test chi2, `SARtest', Prob > chi2 SAR, `pSARtest', SEM test chi2, r(chi2), Prob > chi2 SEM, r(p)) addtext(Spatial FE, YES, Year FE, YES) 
outreg2 using SDM_spatial.doc, append ctitle(Secondary Sector) eqdrop(Main Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"

***FTE Tertiary
set more off // BHHH technique results in convergence with both time and spatial FE
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
* Test for SAR: H0 = all spatially lag indep. variables = 0 -> SAR is the best model
test [Wx]firmsrateidx = [Wx]incomerateidx = [Wx]logwage = [Wx]unemployment = [Wx]cinema = [Wx]shareold = [Wx]shareunder20 = [Wx]logpopulation = [Wx]shareforeigners = [Wx]leftstrength = [Wx]university = [Wx]language = [Wx]metropolitan = 0
* H0 - Rejected 
local SARtest = r(chi2)
local pSARtest = r(p)

*Test for SEM: H0 = -rho*bêta = têta 
testnl ([Wx]firmsrateidx = -[Spatial]rho*[Main]firmsrateidx) ([Wx]incomerateidx = -[Spatial]rho*[Main]incomerateidx) ([Wx]logwage = -[Spatial]rho*[Main]logwage) ([Wx]unemployment = -[Spatial]rho*[Main]unemployment) ([Wx]cinema = -[Spatial]rho*[Main]cinema) ///
([Wx]shareold = -[Spatial]rho*[Main]shareold) ([Wx]shareunder20 = -[Spatial]rho*[Main]shareunder20) ([Wx]logpopulation = -[Spatial]rho*[Main]logpopulation) ([Wx]shareforeigners = -[Spatial]rho*[Main]shareforeigners) ([Wx]leftstrength = -[Spatial]rho*[Main]leftstrength) ///
([Wx]language = -[Spatial]rho*[Main]language) ([Wx]metropolitan = -[Spatial]rho*[Main]metropolitan)
* H0 - Rejected 
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_main.doc, append ctitle(Tertiary Sector) eqdrop(Wx Spatial Variance) addstat(SAR test chi2, `SARtest', Prob > chi2 SAR, `pSARtest', SEM test chi2, r(chi2), Prob > chi2 SEM, r(p)) addtext(Spatial FE, YES, Year FE, YES) 
outreg2 using SDM_spatial.doc, append ctitle(Tertiary Sector) eqdrop(Main Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
			********END 8********










			********9*Spatial Error Model - Employment********

*SEM specification
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SEM_fte.doc, replace title(SEM Model) addtext(Spatial FE, YES, Year FE, YES) 
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
outreg2 using SEM_fte.doc, append addtext(Spatial FE, YES, Year FE, YES) 
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
outreg2 using SEM_fte.doc, append addtext(Spatial FE, YES, Year FE, YES) 
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
outreg2 using SEM_fte.doc, append addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
			********END 9********










			********10*Variaton of Distances in SDM - Employment dependent variables********
*Total
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace //select the weight
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_tot.doc, replace title(SDM Model - Total various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_10.spmat", replace
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 

*First
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_first.doc, replace title(SDM Model - Primary sector various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_10.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 

*Second
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_second.doc, replace title(SDM Model - Secondary sector various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_10.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 

*Third
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_third.doc, replace title(SDM Model - Tertiary sector various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_10.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
			********END 10********








			********11*Variation of Distances with SEM - Employment dependent variables********
*Total
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_tot.doc, replace title(sem Model - Total various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_10.spmat", replace
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle logftetotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 

*First
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_first.doc, replace title(sem Model - Primary sector various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_10.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle logftefirst_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 

*Second
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_second.doc, replace title(sem Model - Secondary sector various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_10.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle logftesecond_hat firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 

*Third
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_third.doc, replace title(sem Model - Tertiary sector various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_10.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle logftethird firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 logpopulation shareforeigners leftstrength university language metropolitan i.years, emat(wmuni_dist) model(sem) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_distance_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
			********END 11********
			
			
			






			********12*Spatial Durbin Model - Firms alternative********
set more off
xsmle logfirmstotal firmsrateidx incomerateidx logwage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bfgs) iterate(16000) robust nsim(500)
* Test for SAR: H0 = all spatially lag indep. variables = 0 -> SAR is the best model
test [Wx]firmsrateidx = [Wx]incomerateidx = [Wx]logwage = [Wx]unemployment = [Wx]cinema = [Wx]shareold = [Wx]shareunder20 = [Wx]shareforeigners = [Wx]leftstrength = [Wx]university = [Wx]language = [Wx]metropolitan = 0
local SARtest = r(chi2)
local pSARtest = r(p)
*Test for SEM: H0 = -rho*bêta = têta 
testnl ([Wx]firmsrateidx = -[Spatial]rho*[Main]firmsrateidx) ([Wx]incomerateidx = -[Spatial]rho*[Main]incomerateidx) ([Wx]logwage = -[Spatial]rho*[Main]logwage) ([Wx]unemployment = -[Spatial]rho*[Main]unemployment) ([Wx]cinema = -[Spatial]rho*[Main]cinema) ///
([Wx]shareold = -[Spatial]rho*[Main]shareold) ([Wx]shareunder20 = -[Spatial]rho*[Main]shareunder20) ([Wx]shareforeigners = -[Spatial]rho*[Main]shareforeigners) ([Wx]leftstrength = -[Spatial]rho*[Main]leftstrength) ///
([Wx]language = -[Spatial]rho*[Main]language) ([Wx]metropolitan = -[Spatial]rho*[Main]metropolitan)
local SEMtest = r(chi2)
local pSEMtest = r(p)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_firms.doc, replace title(SDM Model) eqdrop(Variance) addstat(SAR test chi2, `SARtest', Prob > chi2 SAR, `pSARtest', SEM test chi2, `SEMtest', Prob > chi2 SEM, `pSEMtest') addtext(Spatial FE, YES, Year FE, NO) 

xsmle firmsfirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe technique(bfgs) iterate(16000) robust nsim(500)
* Test for SAR: H0 = all spatially lag indep. variables = 0 -> SAR is the best model
test [Wx]firmsrateidx = [Wx]incomerateidx = [Wx]wage = [Wx]unemployment = [Wx]cinema = [Wx]shareold = [Wx]shareunder20 = [Wx]shareforeigners = [Wx]leftstrength = [Wx]university = [Wx]language = [Wx]metropolitan = 0
local SARtest = r(chi2)
local pSARtest = r(p)
*Test for SEM: H0 = -rho*bêta = têta 
testnl ([Wx]firmsrateidx = -[Spatial]rho*[Main]firmsrateidx) ([Wx]incomerateidx = -[Spatial]rho*[Main]incomerateidx) ([Wx]wage = -[Spatial]rho*[Main]wage) ([Wx]unemployment = -[Spatial]rho*[Main]unemployment) ([Wx]cinema = -[Spatial]rho*[Main]cinema) ///
([Wx]shareold = -[Spatial]rho*[Main]shareold) ([Wx]shareunder20 = -[Spatial]rho*[Main]shareunder20) ([Wx]shareforeigners = -[Spatial]rho*[Main]shareforeigners) ([Wx]leftstrength = -[Spatial]rho*[Main]leftstrength) ///
([Wx]language = -[Spatial]rho*[Main]language) ([Wx]metropolitan = -[Spatial]rho*[Main]metropolitan)
local SEMtest = r(chi2)
local pSEMtest = r(p)
outreg2 using SDM_firms.doc, append eqdrop(Variance) addstat(SAR test chi2, `SARtest', Prob > chi2 SAR, `pSARtest', SEM test chi2, `SEMtest', Prob > chi2 SEM, `pSEMtest') addtext(Spatial FE, YES, Year FE, NO) 

xsmle firmssecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe technique(bfgs) iterate(16000) robust nsim(500)
* Test for SAR: H0 = all spatially lag indep. variables = 0 -> SAR is the best model
test [Wx]firmsrateidx = [Wx]incomerateidx = [Wx]wage = [Wx]unemployment = [Wx]cinema = [Wx]shareold = [Wx]shareunder20 = [Wx]shareforeigners = [Wx]leftstrength = [Wx]university = [Wx]language = [Wx]metropolitan = 0
local SARtest = r(chi2)
local pSARtest = r(p)
*Test for SEM: H0 = -rho*bêta = têta 
testnl ([Wx]firmsrateidx = -[Spatial]rho*[Main]firmsrateidx) ([Wx]incomerateidx = -[Spatial]rho*[Main]incomerateidx) ([Wx]wage = -[Spatial]rho*[Main]wage) ([Wx]unemployment = -[Spatial]rho*[Main]unemployment) ([Wx]cinema = -[Spatial]rho*[Main]cinema) ///
([Wx]shareold = -[Spatial]rho*[Main]shareold) ([Wx]shareunder20 = -[Spatial]rho*[Main]shareunder20) ([Wx]shareforeigners = -[Spatial]rho*[Main]shareforeigners) ([Wx]leftstrength = -[Spatial]rho*[Main]leftstrength) ///
([Wx]language = -[Spatial]rho*[Main]language) ([Wx]metropolitan = -[Spatial]rho*[Main]metropolitan)
local SEMtest = r(chi2)
local pSEMtest = r(p)
outreg2 using SDM_firms.doc, append eqdrop(Variance) addstat(SAR test chi2, `SARtest', Prob > chi2 SAR, `pSARtest', SEM test chi2, `SEMtest', Prob > chi2 SEM, `pSEMtest') addtext(Spatial FE, YES, Year FE, NO) 

xsmle firmsthird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe technique(bfgs) iterate(16000) robust nsim(500)
* Test for SAR: H0 = all spatially lag indep. variables = 0 -> SAR is the best model
test [Wx]firmsrateidx = [Wx]incomerateidx = [Wx]wage = [Wx]unemployment = [Wx]cinema = [Wx]shareold = [Wx]shareunder20 = [Wx]shareforeigners = [Wx]leftstrength = [Wx]university = [Wx]language = [Wx]metropolitan = 0
local SARtest = r(chi2)
local pSARtest = r(p)
*Test for SEM: H0 = -rho*bêta = têta 
testnl ([Wx]firmsrateidx = -[Spatial]rho*[Main]firmsrateidx) ([Wx]incomerateidx = -[Spatial]rho*[Main]incomerateidx) ([Wx]wage = -[Spatial]rho*[Main]wage) ([Wx]unemployment = -[Spatial]rho*[Main]unemployment) ([Wx]cinema = -[Spatial]rho*[Main]cinema) ///
([Wx]shareold = -[Spatial]rho*[Main]shareold) ([Wx]shareunder20 = -[Spatial]rho*[Main]shareunder20) ([Wx]shareforeigners = -[Spatial]rho*[Main]shareforeigners) ([Wx]leftstrength = -[Spatial]rho*[Main]leftstrength) ///
([Wx]language = -[Spatial]rho*[Main]language) ([Wx]metropolitan = -[Spatial]rho*[Main]metropolitan)
local SEMtest = r(chi2)
local pSEMtest = r(p)
outreg2 using SDM_firms.doc, append eqdrop(Variance) addstat(SAR test chi2, `SARtest', Prob > chi2 SAR, `pSARtest', SEM test chi2, `SEMtest', Prob > chi2 SEM, `pSEMtest') addtext(Spatial FE, YES, Year FE, NO) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
			********END 12********








			********13*Spatial Error Model - Firms alternative********
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_10.spmat", replace
set more off
xsmle firmstotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, emat(wmuni_dist) model(sem) fe technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using sem_firms.doc, replace keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, NO) 
set more off
xsmle firmsfirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, emat(wmuni_dist) model(sem) fe technique(bhhh) iterate(16000) robust nsim(500)
outreg2 using sem_firms.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, NO) 
set more off
xsmle firmssecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, emat(wmuni_dist) model(sem) fe technique(bhhh) iterate(16000) robust nsim(500)
outreg2 using sem_distance_firms.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, NO) 
set more off
xsmle firmsthird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, emat(wmuni_dist) model(sem) fe technique(bhhh) iterate(16000) robust nsim(500)
outreg2 using sem_firms.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, NO) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
			********END 13********









			********14*Variations of Distances with SDM - Firms alternative********
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
*Total
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace //select the weight
set more off
xsmle firmstotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_tot.doc, replace title(SDM Model - Total various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle firmstotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle firmstotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle firmstotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle firmstotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_tot.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 

*First
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace
set more off
xsmle firmsfirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_first.doc, replace title(SDM Model - first various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, NO) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle firmsfirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, NO) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle firmsfirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, NO) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle firmsfirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, NO) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle firmsfirst firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_first.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, NO) 

*Second
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace
set more off
xsmle firmssecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_second.doc, replace title(SDM Model - second various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle firmssecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle firmssecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle firmssecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle firmssecond firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_second.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 

*Third
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_contiguity.spmat", replace
set more off
xsmle firmsthird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_third.doc, replace title(SDM Model - third various weight) keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_5.spmat", replace
set more off
xsmle firmsthird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_15.spmat", replace
set more off
xsmle firmsthird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_20.spmat", replace
set more off
xsmle firmsthird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
spmat use wmuni_dist using "wmuni_30.spmat", replace
set more off
xsmle firmsthird firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan, wmat(wmuni_dist) model(sdm) fe type(both) technique(bhhh) iterate(16000) robust nsim(500)
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
outreg2 using SDM_distance_firms_third.doc, append keep(firmsrateidx incomerateidx) eqdrop(Variance) addtext(Spatial FE, YES, Year FE, YES) 
			********END 14********
			
			
			
			
			
			


			********Instrumental variable strategy*********
			
			********15*Selecting the municipalities********
			***********with common borders (10km)**********
			***********but in another canton***************

clear
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
save "/home/david/MEGA/Uni/Masterarbeit/Data/database_before_borders_in_other_canton.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Data/Maps/centroids.dta", clear
generate nid = id
save "/home/david/MEGA/Uni/Masterarbeit/Data/Maps/centroids.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
drop if cantfirmsrateidx == . //drop the observations without cantonal tax rates (some are not calculated: BS, GL)
geonear id latitude longitude using "/home/david/MEGA/Uni/Masterarbeit/Data/Maps/centroids.dta", neighbors(nid latitude longitude) ignoreself e within(10) long //within a distance of 10km
gen canton = "ZH" if (nid < 300) // create the neighbors id
replace canton = "BE" if (nid > 300 & nid < 1000)
replace canton = "LU" if (nid > 1000 & nid < 1200)
replace canton = "UR" if (nid > 1200 & nid < 1300)
replace canton = "SZ" if (nid > 1300 & nid < 1400)
replace canton = "OW" if (nid > 1400 & nid < 1500)
replace canton = "NW" if (nid > 1500 & nid < 1600)
replace canton = "GL" if (nid > 1600 & nid < 1700)
replace canton = "ZG" if (nid > 1700 & nid < 2000)
replace canton = "FR" if (nid > 2000 & nid < 2400)
replace canton = "SO" if (nid > 2400 & nid < 2700)
replace canton = "BS" if (nid > 2700 & nid < 2750)
replace canton = "BL" if (nid > 2750 & nid < 2900)
replace canton = "SH" if (nid > 2900 & nid < 3000)
replace canton = "AR" if (nid > 3000 & nid < 3100)
replace canton = "AI" if (nid > 3100 & nid < 3200)
replace canton = "SG" if (nid > 3200 & nid < 3500)
replace canton = "GR" if (nid > 3500 & nid < 4000)
replace canton = "AG" if (nid > 4000 & nid < 4400)
replace canton = "TG" if (nid > 4400 & nid < 5000)
replace canton = "TI" if (nid > 5000 & nid < 5400)
replace canton = "VD" if (nid > 5400 & nid < 6000)
replace canton = "VS" if (nid > 6000 & nid < 6400)
replace canton = "NE" if (nid > 6400 & nid < 6600)
replace canton = "GE" if (nid > 6600 & nid < 6700)
replace canton = "JU" if (nid > 6700)
rename canton cantonnid

gen cantonid = "ZH" if (id < 300) //create the id for the municipality
replace cantonid = "BE" if (id > 300 & id < 1000)
replace cantonid = "LU" if (id > 1000 & id < 1200)
replace cantonid = "UR" if (id > 1200 & id < 1300)
replace cantonid = "SZ" if (id > 1300 & id < 1400)
replace cantonid = "OW" if (id > 1400 & id < 1500)
replace cantonid = "NW" if (id > 1500 & id < 1600)
replace cantonid = "GL" if (id > 1600 & id < 1700)
replace cantonid = "ZG" if (id > 1700 & id < 2000)
replace cantonid = "FR" if (id > 2000 & id < 2400)
replace cantonid = "SO" if (id > 2400 & id < 2700)
replace cantonid = "BS" if (id > 2700 & id < 2750)
replace cantonid = "BL" if (id > 2750 & id < 2900)
replace cantonid = "SH" if (id > 2900 & id < 3000)
replace cantonid = "AR" if (id > 3000 & id < 3100)
replace cantonid = "AI" if (id > 3100 & id < 3200)
replace cantonid = "SG" if (id > 3200 & id < 3500)
replace cantonid = "GR" if (id > 3500 & id < 4000)
replace cantonid = "AG" if (id > 4000 & id < 4400)
replace cantonid = "TG" if (id > 4400 & id < 5000)
replace cantonid = "TI" if (id > 5000 & id < 5400)
replace cantonid = "VD" if (id > 5400 & id < 6000)
replace cantonid = "VS" if (id > 6000 & id < 6400)
replace cantonid = "NE" if (id > 6400 & id < 6600)
replace cantonid = "GE" if (id > 6600 & id < 6700)
replace cantonid = "JU" if (id > 6700)

drop if cantonnid == cantonid //deleting neighbor in the same canton
generate  neighbor = 1
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/all_borders.dta", replace

*Histogram with number of neighbors
bys id: gen number =[_N]
label variable number "Number of neighbors in another canton"
bys id: gen seq = _n 
keep if seq == 1 // keep the first observation
histogram number, percent graphregion(color(white)) legend(off)
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/borders_for_map.dta", replace

*Maps to have an idea for the location of neighbors
cd "/home/david/MEGA/Uni/Masterarbeit/Data/Maps"
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta"
merge m:1 id using "/home/david/MEGA/Uni/Masterarbeit/Spatial/borders_for_map.dta"
drop if _merge != 3
keep id years neighbor 
generate GMDNR = id
merge m:1 GMDNR using "chdatabase_2.dta"
sort id
drop if id == .
drop if _merge == 2
drop _merge
spmap neighbor using chcoordinates_2 if years == 2014 & neighbor == 1, id(id) fcolor(emerald) ndfcolor(olive_teal) ///
clnumber(2) poly(data("lakescoo.dta") fcolor(gray)) line(data("chcoordinates_2.dta") color(black) size(0.1)) legenda(off)







			********16*Estimation of IV model********
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
*Cantonal dummy
generate BE = 1 if canton == "BE" 
generate LU = 1 if canton == "LU"
generate UR = 1 if canton == "UR" 
generate SZ = 1 if canton == "SZ" 
generate OW = 1 if canton == "OW" 
generate NW = 1 if canton == "NW"
generate GL = 1 if canton == "GL"
generate ZG = 1 if canton == "ZG"
generate FR = 1 if canton == "FR" 
generate SO = 1 if canton == "SO" 
generate BS = 1 if canton == "BS" 
generate BL = 1 if canton == "BL" 
generate SH = 1 if canton == "SH"
generate AR = 1 if canton == "AR" 
generate AI = 1 if canton == "AI" 
generate SG = 1 if canton == "SG"
generate GR = 1 if canton == "GR" 
generate AG = 1 if canton == "AG" 
generate TG = 1 if canton == "TG" 
generate TI = 1 if canton == "TI"
generate VD = 1 if canton == "VD" 
generate VS = 1 if canton == "VS" 
generate NE = 1 if canton == "NE" 
generate GE = 1 if canton == "GE" 
generate JU = 1 if canton == "JU" 
generate ZH = 1 if canton == "ZH"
generate year2011 = 1 if years == 2011
generate year2012 = 1 if years == 2012
generate year2013 = 1 if years == 2013
generate year2014 = 1 if years == 2014

foreach var of varlist BE-year2014 {
	replace `var' = 0 if `var' == .
}
save "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", replace

cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"

*Create the various spatial lags
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/all_borders.dta", replace
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
drop if km_to_nid > 10 //drop all neighbors not in a 10km threshold
keep id
bysort id: generate numbid = _n
drop if numbid != 1
drop numbid
save id_km10.dta, replace
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
merge m:1 id using id_km10.dta
drop if _merge != 3
drop _merge
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", replace

cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
drop if years != 2014 //spmat works only with one year
*Create the weight
spmat idistance wmuniborder_10km longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/10) replace 
spmat summarize wmuniborder_10km
spmat save wmuniborder_10km using wmuniborder_10km.spmat, replace

forvalues i = 11(1)14 {
	use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
	drop if years != 20`i'
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
	spmat use neighbors_borders using "wmuniborder_10km.spmat", replace
	capture drop *_spl
	order id years municipalities fte* firms* logfte* cantfirmsrateidx
	foreach var of varlist ftefirst-cantfirmsrateidx {
		spmat lag `var'_spl neighbors_borders `var' //create the lag for each variable
		}
	keep id years *_spl
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
	save spatial_lags_10km_`i'.dta, replace //save a file for each year with the lags
	}
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_10km_11.dta", clear
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_10km_12.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_10km_13.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_10km_14.dta"
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_10km.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_10km.dta" //merge the lags with the database with 10km
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
xtivreg2 ftetotal firmsrateidx incomerateidx ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_results.doc, replace title(IV Model) drop(o.* year*) addstat(Underidentification test (LM stat.), e(idstat), Chi-Sq. P-Val., e(jdf), Weak identification test (F stat.), e(widstat)) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label

xtivreg2 ftefirst_hat firmsrateidx incomerateidx ftefirst_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_results.doc, append drop(o.* year*) addstat(Underidentification test (LM stat.), e(idstat), Chi-Sq. P-Val., e(jdf), Weak identification test (F stat.), e(widstat)) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label

xtivreg2 ftesecond_hat firmsrateidx incomerateidx ftesecond_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_results.doc, append drop(o.* year*) addstat(Underidentification test (LM stat.), e(idstat), Chi-Sq. P-Val., e(jdf), Weak identification test (F stat.), e(widstat)) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label

xtivreg2 ftethird firmsrateidx incomerateidx ftethird_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_results.doc, append drop(o.* year*) addstat(Underidentification test (LM stat.), e(idstat), Chi-Sq. P-Val., e(jdf), Weak identification test (F stat.), e(widstat)) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label
			********END 16********









			********17*IV - Fims alternative********
cd "/home/david/MEGA/Uni/Masterarbeit/outreg/"
set more off
xtivreg2 firmstotal firmsrateidx incomerateidx firmstotal_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_results_firms.doc, replace title(IV Model) drop(o.* year*) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label

xtivreg2 firmsfirst firmsrateidx incomerateidx firmsfirst_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe i(id) t(years) robust gmm2s
outreg2 using IV_results_firms.doc, append title(IV Model) drop(o.* year*) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label

xtivreg2 firmssecond firmsrateidx incomerateidx firmssecond_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe i(id) t(years) robust gmm2s
outreg2 using IV_results_firms.doc, append title(IV Model) drop(o.* year*) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label

xtivreg2 firmsthird firmsrateidx incomerateidx firmsthird_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_results_firms.doc, append title(IV Model) drop(o.* year*) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label
			********END 17********












********18*Robustness check IV: Drop the cantons with the majority of population at the border (same 10km cutoff)********
*No presentation of this robustness check in the thesis because they do not really test the exogeneity of the instrument but the lag calculations are used hereunder

use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
collapse (sum) population, by(canton_n years) // calculating the cantonal pop
rename population cantpop
save "/home/david/MEGA/Uni/Masterarbeit/Data/cantonal_pop.dta", replace

*Calculate the population at the border
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
capture drop cantpop
capture drop poppercentage
capture drop popborder
egen popborder = total(population), by(canton_n years) //population at the border
merge m:1 years canton_n using "/home/david/MEGA/Uni/Masterarbeit/Data/cantonal_pop.dta"
drop if _merge != 3
drop _merge

generate poppercentage = (popborder/cantpop) //ratio between pop. at the border and cantonal pop. 
xtset
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", replace

*75% at the border dropped 
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
drop if poppercentage > 0.75
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
drop if years != 2014
spmat idistance wmuniborder_75 longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/10) replace //recalulate the weight
spmat save wmuniborder_75 using wmuniborder_75.spmat, replace

forvalues i = 11(1)14 { //recalculate the spatial lags
	use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
	drop if poppercentage > 0.75
	drop if years != 20`i'
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
	spmat idistance wmuniborder_75_`i' longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/10) replace
	spmat save wmuniborder_75_`i' using wmuniborder_75_`i'.spmat, replace
	spmat use neighbors_borders using wmuniborder_75_`i'.spmat, replace
	capture drop *_spl
	order id years municipalities fte* firms* logfte* cantfirmsrateidx
	foreach var of varlist ftefirst-cantfirmsrateidx {
		spmat lag `var'_spl neighbors_borders `var'
		}
	keep id years *_spl
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
	save spatial_lags_75_`i'.dta, replace
	}

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_75_11.dta", clear
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_75_12.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_75_13.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_75_14.dta"
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_75.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
drop if poppercentage > 0.75
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_75.dta" //merge with the previously calculated spatial lags
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
xtivreg2 ftetotal firmsrateidx incomerateidx ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_tot.doc, append ctitle(75%) keep(firmsrateidx incomerateidx ftetotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftefirst_hat firmsrateidx incomerateidx ftefirst_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_first.doc, append ctitle(75%) keep(firmsrateidx incomerateidx ftefirst_hat_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftesecond_hat firmsrateidx incomerateidx ftesecond_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_second.doc, append ctitle(75%) keep(firmsrateidx incomerateidx ftesecond_hat_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftethird firmsrateidx incomerateidx ftethird_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_third.doc, append ctitle(75%) keep(firmsrateidx incomerateidx ftethird_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)


*Same analysis with 50%
forvalues i = 11(1)14 { //recalculate the spatial lags
	use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
	drop if poppercentage > 0.5
	drop if years != 20`i'
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
	spmat idistance wmuniborder_50_`i' longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/10) replace
	spmat save wmuniborder_50_`i' using wmuniborder_50_`i'.spmat, replace
	spmat use neighbors_borders using wmuniborder_50_`i'.spmat, replace
	capture drop *_spl
	order id years municipalities fte* firms* logfte* cantfirmsrateidx
	foreach var of varlist ftefirst-cantfirmsrateidx {
		spmat lag `var'_spl neighbors_borders `var'
		}
	keep id years *_spl
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
	save spatial_lags_50_`i'.dta, replace
	}

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_50_11.dta", clear
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_50_12.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_50_13.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_50_14.dta"
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_50.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
drop if poppercentage > 0.5
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_50.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
xtivreg2 ftetotal firmsrateidx incomerateidx ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_tot.doc, append ctitle(50%) keep(firmsrateidx incomerateidx ftetotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftefirst_hat firmsrateidx incomerateidx ftefirst_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_first.doc, append ctitle(50%) keep(firmsrateidx incomerateidx ftefirst_hat_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftesecond_hat firmsrateidx incomerateidx ftesecond_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_second.doc, append ctitle(50%) keep(firmsrateidx incomerateidx ftesecond_hat_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftethird firmsrateidx incomerateidx ftethird_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_third.doc, append ctitle(50%) keep(firmsrateidx incomerateidx ftethird_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)


*25% at the border dropped -> observations really reduced
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
drop if poppercentage > 0.25
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
drop if years != 2014
spmat idistance wmuniborder_25 longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/10) replace
spmat save wmuniborder_25 using wmuniborder_25.spmat, replace

forvalues i = 11(1)14 { //recalculate the spatial lags
	use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
	drop if poppercentage > 0.25
	drop if years != 20`i'
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
	spmat idistance wmuniborder_25_`i' longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/10) replace
	spmat save wmuniborder_25_`i' using wmuniborder_25_`i'.spmat, replace
	spmat use neighbors_borders using wmuniborder_25_`i'.spmat, replace
	capture drop *_spl
	order id years municipalities fte* firms* logfte* cantfirmsrateidx
	foreach var of varlist ftefirst-cantfirmsrateidx {
		spmat lag `var'_spl neighbors_borders `var'
		}
	keep id years *_spl
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
	save spatial_lags_25_`i'.dta, replace
	}

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_25_11.dta", clear
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_25_12.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_25_13.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_25_14.dta"
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_25.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
drop if poppercentage > 0.25
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_25.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
xtivreg2 ftetotal firmsrateidx incomerateidx ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_tot.doc, append ctitle(25%) keep(firmsrateidx incomerateidx ftetotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftefirst_hat firmsrateidx incomerateidx ftefirst_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_first.doc, append ctitle(25%) keep(firmsrateidx incomerateidx ftefirst_hat_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftesecond_hat firmsrateidx incomerateidx ftesecond_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_second.doc, append ctitle(25%) keep(firmsrateidx incomerateidx ftesecond_hat_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftethird firmsrateidx incomerateidx ftethird_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_third.doc, append ctitle(25%) keep(firmsrateidx incomerateidx ftethird_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)


*Drop the canton with capital city at the border
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
generate capital = 1 if id == 261 | id == 351 | id == 1061 | id == 1201 | id == 1372 | id == 1407 | id == 1509 | id == 1632 | id == 1711 | id == 2196 | id == 2601  | id == 2701 | id == 2829 | id == 2939 | id == 3001 | id == 3101 | id == 3203 | id == 3901 | id == 4001 | id == 4566 | id == 5002 | id == 5586  | id == 6248 | id == 6458 | id == 6621 | id == 6711
*manually look at the one with edit if capital == 1
drop if canton == "ZH" | canton =="LU" | canton =="UR" | canton == "SZ" | canton =="ZG" | canton == "SO" | canton =="BL" | canton =="SH" | canton =="AR" | canton =="SG" | canton =="AG" | canton =="TG" | canton =="TI" | canton =="NE" | canton =="JU" 

cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
drop if years != 2014
spmat idistance wmuniborder_capital longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/10) replace
spmat save wmuniborder_capital using wmuniborder_capital.spmat, replace

forvalues i = 11(1)14 { //recalculate the spatial lags
	use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
	drop if canton == "ZH" | canton =="LU" | canton =="UR" | canton == "SZ" | canton =="ZG" | canton == "SO" | canton =="BL" | canton =="SH" | canton =="AR" | canton =="SG" | canton =="AG" | canton =="TG" | canton =="TI" | canton =="NE" | canton =="JU" 
	drop if years != 20`i'
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
	spmat use neighbors_borders using "wmuniborder_capital.spmat", replace
	capture drop *_spl
	order id years municipalities fte* firms* logfte* cantfirmsrateidx
	foreach var of varlist ftefirst-cantfirmsrateidx {
		spmat lag `var'_spl neighbors_borders `var'
		}
	keep id years *_spl
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
	save spatial_lags_capital_`i'.dta, replace
	}

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_capital_11.dta", clear
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_capital_12.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_capital_13.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_capital_14.dta"
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_capital.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
drop if canton == "ZH" | canton =="LU" | canton =="UR" | canton == "SZ" | canton =="ZG" | canton == "SO" | canton =="BL" | canton =="SH" | canton =="AR" | canton =="SG" | canton =="AG" | canton =="TG" | canton =="TI" | canton =="NE" | canton =="JU" 
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_capital.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
xtivreg2 ftetotal firmsrateidx incomerateidx ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_tot.doc, append ctitle(no capital city at border) keep(firmsrateidx incomerateidx ftetotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftefirst_hat firmsrateidx incomerateidx ftefirst_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_first.doc, append ctitle(no capital city at border) keep(firmsrateidx incomerateidx ftefirst_hat_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftesecond_hat firmsrateidx incomerateidx ftesecond_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_second.doc, append ctitle(no capital city at border) keep(firmsrateidx incomerateidx ftesecond_hat_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftethird firmsrateidx incomerateidx ftethird_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_third.doc, append ctitle(no capital city at border) keep(firmsrateidx incomerateidx ftethird_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)
			*********END 18*********










			*********19*Robustness Check IV: Testing the exogeneity of the instrument*********
*Derived from Parchet (2014)
*All canton - no drop
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_10km.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
*Regression on firmsrateidx and not on employment anymore
xtivreg2 firmsrateidx incomerateidx ftetotal ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_Parchet.doc, replace ctitle(All cantons) keep(firmsrateidx_spl incomerateidx)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

*Drop cantons with more than 75% of the population living at the border
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
drop if poppercentage > 0.75
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_75.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
xtivreg2 firmsrateidx incomerateidx ftetotal ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_Parchet.doc, append ctitle(75%) keep(firmsrateidx_spl incomerateidx)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

*Drop cantons with more than 50% of the population living at the border
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
drop if poppercentage > 0.5
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_50.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
xtivreg2 firmsrateidx incomerateidx ftetotal ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_Parchet.doc, append ctitle(50%) keep(firmsrateidx_spl incomerateidx)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

*Drop cantons with more than 25% of the population living at the border
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
drop if poppercentage > 0.25
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_25.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
xtivreg2 firmsrateidx incomerateidx ftetotal ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_Parchet.doc, append ctitle(25%) keep(firmsrateidx_spl incomerateidx)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

*Drop cantons with a capital city at the border
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
drop if canton == "ZH" | canton =="LU" | canton =="UR" | canton == "SZ" | canton =="ZG" | canton == "SO" | canton =="BL" | canton =="SH" | canton =="AR" | canton =="SG" | canton =="AG" | canton =="TG" | canton =="TI" | canton =="NE" | canton =="JU" 
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_capital.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
xtivreg2 firmsrateidx incomerateidx ftetotal ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_robustness_Parchet.doc, append ctitle(no capital city at border) keep(firmsrateidx_spl incomerateidx)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)
			*********END 19*********











			*********20*Robustness Check IV: Distance Variations for Employment and Firms*********
*2km threshold
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/all_borders.dta", replace
drop if km_to_nid > 2
keep id
bysort id: generate numbid = _n
drop if numbid != 1
drop numbid
save id_km2.dta, replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
merge m:1 id using id_km2.dta
drop if _merge != 3
drop _merge
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border2.dta", replace

drop if years != 2014
spmat idistance wmuniborder_2km longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/2) replace //weights of neighbors within 2km
spmat save wmuniborder_2km using wmuniborder_2km.spmat, replace

forvalues i = 11(1)14 { //calculation of spatial lags
	use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border2.dta", clear
	drop if years != 20`i'
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
	spmat use neighbors_borders using "wmuniborder_2km.spmat", replace
	capture drop *_spl
	order id years municipalities fte* firms* logfte* cantfirmsrateidx
	foreach var of varlist ftefirst-cantfirmsrateidx {
		spmat lag `var'_spl neighbors_borders `var'
		}
	keep id years *_spl
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
	save spatial_lags_2km_`i'.dta, replace
	}
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_2km_11.dta", clear
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_2km_12.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_2km_13.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_2km_14.dta"
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_2km.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border2.dta", clear
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_2km.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
*Employment
xtivreg2 ftetotal firmsrateidx incomerateidx ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_total.doc, replace ctitle(2km) keep(firmsrateidx incomerateidx ftetotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftefirst_hat firmsrateidx incomerateidx ftefirst_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_first.doc, replace ctitle(2km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftefirst_hat_spl firmsrateidx_spl)

xtivreg2 ftesecond_hat firmsrateidx incomerateidx ftesecond_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_second.doc, replace ctitle(2km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftesecond_hat_spl firmsrateidx_spl)

xtivreg2 ftethird firmsrateidx incomerateidx ftethird_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_third.doc, replace ctitle(2km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftethird_spl firmsrateidx_spl)
*Firms
set more off
xtivreg2 firmstotal firmsrateidx incomerateidx firmstotal_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_total.doc, replace ctitle(2km) keep(firmsrateidx incomerateidx firmstotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 firmsfirst firmsrateidx incomerateidx firmsfirst_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_first.doc, replace ctitle(2km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsfirst_spl firmsrateidx_spl)

xtivreg2 firmssecond firmsrateidx incomerateidx firmssecond_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_second.doc, replace ctitle(2km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmssecond_spl firmsrateidx_spl)

xtivreg2 firmsthird firmsrateidx incomerateidx firmsthird_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_third.doc, replace ctitle(2km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsthird_spl firmsrateidx_spl)


*5km threshold
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/all_borders.dta", replace
drop if km_to_nid > 5
keep id
bysort id: generate numbid = _n
drop if numbid != 1
drop numbid
save id_km5.dta, replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
merge m:1 id using id_km5.dta
drop if _merge != 3
drop _merge
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border5.dta", replace

drop if years != 2014
spmat idistance wmuniborder_5km longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/5) replace
spmat save wmuniborder_5km using wmuniborder_5km.spmat, replace

forvalues i = 11(1)14 {
	use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border5.dta", clear
	drop if years != 20`i'
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
	spmat use neighbors_borders using "wmuniborder_5km.spmat", replace
	capture drop *_spl
	order id years municipalities fte* firms* logfte* cantfirmsrateidx
	foreach var of varlist ftefirst-cantfirmsrateidx {
		spmat lag `var'_spl neighbors_borders `var'
		}
	keep id years *_spl
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
	save spatial_lags_5km_`i'.dta, replace
	}
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_5km_11.dta", clear
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_5km_12.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_5km_13.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_5km_14.dta"
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_5km.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border5.dta", clear
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_5km.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
*Employment
set more off
xtivreg2 ftetotal firmsrateidx incomerateidx ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_total.doc, append ctitle(5km) keep(firmsrateidx incomerateidx ftetotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftefirst_hat firmsrateidx incomerateidx ftefirst_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_first.doc, append ctitle(5km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftefirst_hat_spl firmsrateidx_spl)

xtivreg2 ftesecond_hat firmsrateidx incomerateidx ftesecond_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_second.doc, append ctitle(5km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftesecond_hat_spl firmsrateidx_spl)

xtivreg2 ftethird firmsrateidx incomerateidx ftethird_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_third.doc, append ctitle(5km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftethird_spl firmsrateidx_spl)
*Firms
set more off
xtivreg2 firmstotal firmsrateidx incomerateidx firmstotal_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_total.doc, append ctitle(5km) keep(firmsrateidx incomerateidx firmstotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 firmsfirst firmsrateidx incomerateidx firmsfirst_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_first.doc, append ctitle(5km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsfirst_spl firmsrateidx_spl)

xtivreg2 firmssecond firmsrateidx incomerateidx firmssecond_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_second.doc, append ctitle(5km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmssecond_spl firmsrateidx_spl)

xtivreg2 firmsthird firmsrateidx incomerateidx firmsthird_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_third.doc, append ctitle(5km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsthird_spl firmsrateidx_spl)


*10km threshold
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_10km.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
*Employment
xtivreg2 ftetotal firmsrateidx incomerateidx ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_total.doc, append ctitle(10km) keep(firmsrateidx incomerateidx ftetotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftefirst_hat firmsrateidx incomerateidx ftefirst_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_first.doc, append ctitle(10km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftefirst_hat_spl firmsrateidx_spl)

xtivreg2 ftesecond_hat firmsrateidx incomerateidx ftesecond_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_second.doc, append ctitle(10km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftesecond_hat_spl firmsrateidx_spl)

xtivreg2 ftethird firmsrateidx incomerateidx ftethird_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_third.doc, append ctitle(10km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftethird_spl firmsrateidx_spl)
*Firms
set more off
xtivreg2 firmstotal firmsrateidx incomerateidx firmstotal_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_total.doc, append ctitle(10km) keep(firmsrateidx incomerateidx firmstotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 firmsfirst firmsrateidx incomerateidx firmsfirst_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_first.doc, append ctitle(10km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsfirst_spl firmsrateidx_spl)

xtivreg2 firmssecond firmsrateidx incomerateidx firmssecond_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_second.doc, append ctitle(10km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmssecond_spl firmsrateidx_spl)

xtivreg2 firmsthird firmsrateidx incomerateidx firmsthird_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_third.doc, append ctitle(10km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsthird_spl firmsrateidx_spl)


*15km threshold
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
*Recalculate the neighbors with 30 km threshold, until here the 10km threshold was enough
drop if cantfirmsrateidx == . //drop the observations without cantonal tax rates (some are not calculated: BS, GL)
geonear id latitude longitude using "/home/david/MEGA/Uni/Masterarbeit/Data/Maps/centroids.dta", neighbors(nid latitude longitude) ignoreself e within(30) long //within a distance of 30km
gen canton = "ZH" if (nid < 300) // create the neighbors id
replace canton = "BE" if (nid > 300 & nid < 1000)
replace canton = "LU" if (nid > 1000 & nid < 1200)
replace canton = "UR" if (nid > 1200 & nid < 1300)
replace canton = "SZ" if (nid > 1300 & nid < 1400)
replace canton = "OW" if (nid > 1400 & nid < 1500)
replace canton = "NW" if (nid > 1500 & nid < 1600)
replace canton = "GL" if (nid > 1600 & nid < 1700)
replace canton = "ZG" if (nid > 1700 & nid < 2000)
replace canton = "FR" if (nid > 2000 & nid < 2400)
replace canton = "SO" if (nid > 2400 & nid < 2700)
replace canton = "BS" if (nid > 2700 & nid < 2750)
replace canton = "BL" if (nid > 2750 & nid < 2900)
replace canton = "SH" if (nid > 2900 & nid < 3000)
replace canton = "AR" if (nid > 3000 & nid < 3100)
replace canton = "AI" if (nid > 3100 & nid < 3200)
replace canton = "SG" if (nid > 3200 & nid < 3500)
replace canton = "GR" if (nid > 3500 & nid < 4000)
replace canton = "AG" if (nid > 4000 & nid < 4400)
replace canton = "TG" if (nid > 4400 & nid < 5000)
replace canton = "TI" if (nid > 5000 & nid < 5400)
replace canton = "VD" if (nid > 5400 & nid < 6000)
replace canton = "VS" if (nid > 6000 & nid < 6400)
replace canton = "NE" if (nid > 6400 & nid < 6600)
replace canton = "GE" if (nid > 6600 & nid < 6700)
replace canton = "JU" if (nid > 6700)
rename canton cantonnid

gen cantonid = "ZH" if (id < 300) //create the id for the municipality
replace cantonid = "BE" if (id > 300 & id < 1000)
replace cantonid = "LU" if (id > 1000 & id < 1200)
replace cantonid = "UR" if (id > 1200 & id < 1300)
replace cantonid = "SZ" if (id > 1300 & id < 1400)
replace cantonid = "OW" if (id > 1400 & id < 1500)
replace cantonid = "NW" if (id > 1500 & id < 1600)
replace cantonid = "GL" if (id > 1600 & id < 1700)
replace cantonid = "ZG" if (id > 1700 & id < 2000)
replace cantonid = "FR" if (id > 2000 & id < 2400)
replace cantonid = "SO" if (id > 2400 & id < 2700)
replace cantonid = "BS" if (id > 2700 & id < 2750)
replace cantonid = "BL" if (id > 2750 & id < 2900)
replace cantonid = "SH" if (id > 2900 & id < 3000)
replace cantonid = "AR" if (id > 3000 & id < 3100)
replace cantonid = "AI" if (id > 3100 & id < 3200)
replace cantonid = "SG" if (id > 3200 & id < 3500)
replace cantonid = "GR" if (id > 3500 & id < 4000)
replace cantonid = "AG" if (id > 4000 & id < 4400)
replace cantonid = "TG" if (id > 4400 & id < 5000)
replace cantonid = "TI" if (id > 5000 & id < 5400)
replace cantonid = "VD" if (id > 5400 & id < 6000)
replace cantonid = "VS" if (id > 6000 & id < 6400)
replace cantonid = "NE" if (id > 6400 & id < 6600)
replace cantonid = "GE" if (id > 6600 & id < 6700)
replace cantonid = "JU" if (id > 6700)

drop if cantonnid == cantonid //deleting neighbor in the same canton
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/border_30km.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/border_30km.dta", clear
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
drop if km_to_nid > 15 //keep the neighbor within 15kms
keep id
bysort id: generate numbid = _n
drop if numbid != 1
drop numbid
save id_km15.dta, replace
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
merge m:1 id using id_km15.dta
drop if _merge != 3
drop _merge
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border15.dta", replace

cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
drop if years != 2014
spmat idistance wmuniborder_15km longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/15) replace
spmat save wmuniborder_15km using wmuniborder_15km.spmat, replace

forvalues i = 11(1)14 {
	use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border15.dta", clear
	drop if years != 20`i'
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
	spmat use neighbors_borders using "wmuniborder_15km.spmat", replace
	capture drop *_spl
	order id years municipalities fte* firms* logfte* cantfirmsrateidx
	foreach var of varlist ftefirst-cantfirmsrateidx {
		spmat lag `var'_spl neighbors_borders `var'
		}
	keep id years *_spl
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
	save spatial_lags_15km_`i'.dta, replace
	}
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_15km_11.dta", clear
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_15km_12.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_15km_13.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_15km_14.dta"
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_15km.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border15.dta", clear
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_15km.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
*Employment
xtivreg2 ftetotal firmsrateidx incomerateidx ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_total.doc, append ctitle(15km) keep(firmsrateidx incomerateidx ftetotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftefirst_hat firmsrateidx incomerateidx ftefirst_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_first.doc, append ctitle(15km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftefirst_hat_spl firmsrateidx_spl)

xtivreg2 ftesecond_hat firmsrateidx incomerateidx ftesecond_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_second.doc, append ctitle(15km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftesecond_hat_spl firmsrateidx_spl)

xtivreg2 ftethird firmsrateidx incomerateidx ftethird_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_third.doc, append ctitle(15km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftethird_spl firmsrateidx_spl)
*Firms
set more off
xtivreg2 firmstotal firmsrateidx incomerateidx firmstotal_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_total.doc, append ctitle(15km) keep(firmsrateidx incomerateidx firmstotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 firmsfirst firmsrateidx incomerateidx firmsfirst_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_first.doc, append ctitle(15km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsfirst_spl firmsrateidx_spl)

xtivreg2 firmssecond firmsrateidx incomerateidx firmssecond_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_second.doc, append ctitle(15km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmssecond_spl firmsrateidx_spl)

xtivreg2 firmsthird firmsrateidx incomerateidx firmsthird_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_third.doc, append ctitle(15km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsthird_spl firmsrateidx_spl)


*20km threshold
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/border_30km.dta", clear
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
drop if km_to_nid > 20
keep id
bysort id: generate numbid = _n
drop if numbid != 1
drop numbid
save id_km20.dta, replace
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
merge m:1 id using id_km20.dta
drop if _merge != 3
drop _merge
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border20.dta", replace

cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
drop if years != 2014
spmat idistance wmuniborder_20km longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/20) replace
spmat save wmuniborder_20km using wmuniborder_20km.spmat, replace

forvalues i = 11(1)14 {
	use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border20.dta", clear
	drop if years != 20`i'
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
	spmat use neighbors_borders using "wmuniborder_20km.spmat", replace
	capture drop *_spl
	order id years municipalities fte* firms* logfte* cantfirmsrateidx
	foreach var of varlist ftefirst-cantfirmsrateidx {
		spmat lag `var'_spl neighbors_borders `var'
		}
	keep id years *_spl
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
	save spatial_lags_20km_`i'.dta, replace
	}
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_20km_11.dta", clear
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_20km_12.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_20km_13.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_20km_14.dta"
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_20km.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border20.dta", clear
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_20km.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
*Employment
xtivreg2 ftetotal firmsrateidx incomerateidx ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_total.doc, append ctitle(20km) keep(firmsrateidx incomerateidx ftetotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftefirst_hat firmsrateidx incomerateidx ftefirst_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_first.doc, append ctitle(20km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftefirst_hat_spl firmsrateidx_spl)

xtivreg2 ftesecond_hat firmsrateidx incomerateidx ftesecond_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_second.doc, append ctitle(20km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftesecond_hat_spl firmsrateidx_spl)

xtivreg2 ftethird firmsrateidx incomerateidx ftethird_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_third.doc, append ctitle(20km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftethird_spl firmsrateidx_spl)
*Firms
set more off
xtivreg2 firmstotal firmsrateidx incomerateidx firmstotal_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_total.doc, append ctitle(20km) keep(firmsrateidx incomerateidx firmstotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 firmsfirst firmsrateidx incomerateidx firmsfirst_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_first.doc, append ctitle(20km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsfirst_spl firmsrateidx_spl)

xtivreg2 firmssecond firmsrateidx incomerateidx firmssecond_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_second.doc, append ctitle(20km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmssecond_spl firmsrateidx_spl)

xtivreg2 firmsthird firmsrateidx incomerateidx firmsthird_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_third.doc, append ctitle(20km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsthird_spl firmsrateidx_spl)


*30km threshold
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/border_30km.dta", clear
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
drop if km_to_nid > 30
keep id
bysort id: generate numbid = _n
drop if numbid != 1
drop numbid
save id_km30.dta, replace
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
merge m:1 id using id_km30.dta
drop if _merge != 3
drop _merge
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border30.dta", replace

cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
drop if years != 2014
spmat idistance wmuniborder_30km longitude latitude, id(id) dfunction(dhaversine) vtruncate(1/30) replace
spmat save wmuniborder_30km using wmuniborder_30km.spmat, replace

forvalues i = 11(1)14 {
	use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border30.dta", clear
	drop if years != 20`i'
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial"
	spmat use neighbors_borders using "wmuniborder_30km.spmat", replace
	capture drop *_spl
	order id years municipalities fte* firms* logfte* cantfirmsrateidx
	foreach var of varlist ftefirst-cantfirmsrateidx {
		spmat lag `var'_spl neighbors_borders `var'
		}
	keep id years *_spl
	cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
	save spatial_lags_30km_`i'.dta, replace
	}
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_30km_11.dta", clear
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_30km_12.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_30km_13.dta"
append using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_30km_14.dta"
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_30km.dta", replace

use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border30.dta", clear
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_30km.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
*Employment
xtivreg2 ftetotal firmsrateidx incomerateidx ftetotal_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_total.doc, append ctitle(30km) keep(firmsrateidx incomerateidx ftetotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 ftefirst_hat firmsrateidx incomerateidx ftefirst_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_first.doc, append ctitle(30km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftefirst_hat_spl firmsrateidx_spl)

xtivreg2 ftesecond_hat firmsrateidx incomerateidx ftesecond_hat_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_second.doc, append ctitle(30km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftesecond_hat_spl firmsrateidx_spl)

xtivreg2 ftethird firmsrateidx incomerateidx ftethird_spl wage unemployment cinema shareold shareunder20  shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_dist_third.doc, append ctitle(30km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx ftethird_spl firmsrateidx_spl)
*Firms
set more off
xtivreg2 firmstotal firmsrateidx incomerateidx firmstotal_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_total.doc, append ctitle(30km) keep(firmsrateidx incomerateidx firmstotal_spl firmsrateidx_spl)  addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)

xtivreg2 firmsfirst firmsrateidx incomerateidx firmsfirst_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_first.doc, append ctitle(30km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsfirst_spl firmsrateidx_spl)

xtivreg2 firmssecond firmsrateidx incomerateidx firmssecond_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_second.doc, append ctitle(30km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmssecond_spl firmsrateidx_spl)

xtivreg2 firmsthird firmsrateidx incomerateidx firmsthird_spl wage unemployment cinema shareold shareunder20 shareforeigners leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014 (firmsrateidx_spl=cantfirmsrateidx_spl), fe robust i(id) t(years) gmm2s
outreg2 using IV_firms_third.doc, append ctitle(30km) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) keep(firmsrateidx incomerateidx firmsthird_spl firmsrateidx_spl)
			*********END 20*********







			*********21*Reduced form : Instrument valid (10km threshold)*********
*Not presented in thesis
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/database_border10.dta", clear
capture drop *_spl
merge 1:1 id years using "/home/david/MEGA/Uni/Masterarbeit/Spatial/spatial_lags_10km.dta"
drop if _merge != 3
drop _merge
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off

xtivreg2 firmsrateidx_spl cantfirmsrateidx_spl firmsrateidx incomerateidx logftetotal_spl unemployment_rate cinema logpopulation leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014, fe cluster(id)
outreg2 using IV_reduced_form.doc, replace ctitle(Log. FTE Total) drop(o.* year*) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)
xtivreg2 firmsrateidx_spl cantfirmsrateidx_spl firmsrateidx incomerateidx logftethird_spl unemployment_rate cinema logpopulation leftstrength university language metropolitan BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH year2011 year2012 year2013 year2014, fe cluster(id)
outreg2 using IV_reduced_form.doc, append ctitle(Log. FTE Tertiary Sector) drop(o.* year*) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES)
			*********END 21*********










			*********22*Extension : Testing the mobility assumption*********
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta", clear
*Create useful cantonal variables
egen cantpop = total(population), by(canton_n years)
egen cantftetotal = total(ftetotal), by(canton_n years)  // calculating the cantonal fte
egen cantftefirst = total(ftefirst), by(canton_n years)
egen cantftesecond = total(ftesecond), by(canton_n years)
egen cantftethird = total(ftethird), by(canton_n years)
gen ftetotal_notself = (cantftetotal - ftetotal) //all canton without municipality i
gen cantpop_notself = (cantpop - population)
gen ftefirst_notself = (cantftefirst - ftefirst)
gen ftesecond_notself = (cantftesecond - ftesecond)
gen ftethird_notself = (cantftethird - ftethird)
egen cantfirmstaxidx = rmean(burdencant*)

*Adding some cantonal control variables
*****Location: /Data/Bilans cantonaux/*****			
*****Excel files: All .xls files in /Data/Bilans cantonaux/*****
merge m:m canton years using "/home/david/MEGA/Uni/Masterarbeit/Data/Bilans cantonaux/cant_variables.dta"
drop if _merge != 3
drop _merge
*Create time lags
generate ftetotal_til1 = ftetotal[_n-1]
generate ftetotal_til2 = ftetotal[_n-2]
generate ftefirst_til1 = ftefirst[_n-1]
generate ftefirst_til2 = ftefirst[_n-2]
generate ftesecond_til1 = ftesecond[_n-1]
generate ftesecond_til2 = ftesecond[_n-2]
generate ftethird_til1 = ftethird[_n-1]
generate ftethird_til2 = ftethird[_n-2]

cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
set more off
xtreg ftetotal_notself ftetotal ftetotal_til1 ftetotal_til2 wage unemployment cantfirmstaxidx cantpop gdp expenses revenues investment BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH i.years, fe robust
outreg2 using Mobility.doc, replace title(Mobility assumption) drop(o.* i.years) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label
xtreg ftefirst_notself ftefirst ftefirst_til1 ftefirst_til2 wage unemployment cantfirmstaxidx cantpop gdp expenses revenues investment BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH i.years, fe robust
outreg2 using Mobility.doc, append drop(o.* i.years) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label
xtreg ftesecond_notself ftesecond ftesecond_til1 ftesecond_til2 wage unemployment cantfirmstaxidx cantpop gdp expenses revenues investment BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH i.years, fe robust
outreg2 using Mobility.doc, append drop(o.* i.years) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label
xtreg ftethird_notself ftethird ftethird_til1 ftethird_til2 wage unemployment cantfirmstaxidx cantpop gdp expenses revenues investment BE LU UR SZ OW NW GL ZG FR SO BS BL SH AR AI SG GR AG TG TI VD VS NE GE JU ZH i.years, fe robust
outreg2 using Mobility.doc, append drop(o.* i.years) addtext(Municipal FE, YES, Cantonal FE, YES, Year FE, YES) label
			*********END 22*********















			*********Finally not used code but still a good idea to keep it somewhere*********
	*NOT USED*		
			*********Imputation for 2015*********
cd "/home/david/MEGA/Uni/Masterarbeit/outreg"
mi set wide 
mi register imputed fte*
set seed 1715
set more off
mi impute regress ftetotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan agriculture forest settlement, add(20)
set more off
mi estimate, dots post: reg ftetotal firmsrateidx incomerateidx wage unemployment cinema shareold shareunder20 population shareforeigners leftstrength university language metropolitan agriculture forest settlement, robust
outreg2 using OLS-level-mi-fte-sector.xls, replace ctitle(Total) label excel


	*NOT USED*

			*********OLD and WRONG Stuff for neighbors in IV*********
capture drop c*
set more off
levelsof id
foreach lev in `r(levels)' { //creating a variable for each municipality with neighbors
	gen c`lev' = km_to_nid if `lev' == nid
} 
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/border/"
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/all_borders.dta", clear
keep id //only id to merge afterwards
bysort id: keep if _n == 1 // only one id because "geonear" generate a list of neighbors by id
save onlyid.dta, replace
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/all_borders.dta", clear
foreach var of varlist c1-c6808 {
	use "/home/david/MEGA/Uni/Masterarbeit/Spatial/all_borders.dta"
	set more off
	keep id `var'
	drop if missing(`var') //creating a unique file with the list of neighbors
	save `var'.dta, replace
	merge 1:1 id using onlyid.dta //merging the list of neighbors with id
	drop if _merge == 1
	drop _merge
	save onlyid.dta, replace
}
save "/home/david/MEGA/Uni/Masterarbeit/Spatial/neighbors_borders.dta", replace

*Spmat with only the neighbors municipalities at the border
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
set more off
use "/home/david/MEGA/Uni/Masterarbeit/Spatial/neighbors_borders.dta"
sort id
aorder c*
order id c*
levelsof id
foreach lev in `r(levels)' { 
	replace c`lev' = 0 if `lev' == id // 0 for self
	replace c`lev' = 0 if missing(c`lev') // 0 for missings
}
save neighbors_borders, replace
spmat dta neighbors_borders c*, id(id) idistance normalize(minmax) replace
spmat summarize neighbors_borders
spmat save neighbors_borders using wmuni_borders.spmat, replace

clear
cd "/home/david/MEGA/Uni/Masterarbeit/Spatial/"
use "/home/david/MEGA/Uni/Masterarbeit/Data/database_balanced.dta"
merge m:1 id using "/home/david/MEGA/Uni/Masterarbeit/Spatial/neighbors_borders.dta"
drop if _merge != 3
drop _merge
rename cant* acant* //rename otherwise cantonal variables drop in next line
rename cinema acinema
drop c*
rename acant* cant*
rename acinema cinema
sort id years
xtset
save "database_bal_bordstrategie.dta", replace

			*********END Do-File*********
